// A hacky way to use a smart remote to control your Arduino remotly with Alexa. 

// Adding addition signals
// To add additional signals go to the broadlink app and pick any TV brand. Then test the remote in the app by pressing the on/off button. 
// Connect your Arduino to your pc and read out the serial monitor. You should receive the code. Test if the code is not used previously in the program.
// Test the code a couple of times to make sure it is always the same code (some signals are more complex and should not be used for this). 
// If you have an new code you want to use copy the code of the last signal and input your signal. 


// Import library. To install this make sure you are connected to the internet and in press Ctr+shift+i.
// Then you search for the library in the searbox 'IRremote' Install the one by Sherriff and press install.
#include <IRremote.h>

const int RECV_PIN = 7; // The pin you connected the IR receiver with. This must be a pin with PWM.
IRrecv irrecv(RECV_PIN);
decode_results results;


void setup(){
  Serial.begin(9600);
  irrecv.enableIRIn();
  irrecv.blink13(true); // This makes the LED blink when receiving an IR command. 
}

void loop(){
  if (irrecv.decode(&results)){
       Serial.println(results.value, HEX);


  if (results.value == 0xC)
{
      Serial.println("Seafox 1 = signal C");
        
      // put your code to do the action you want to do here. 
           
  }


  if (results.value == 0xA90)
{
      Serial.println("Seafox 2 = signal A90");
        
      // put your code to do the action you want to do here. 
           
  }

  if (results.value == 0xFFE21D)
{
      Serial.println("Seafox 3 = signal FFE21D");
        
      // put your code to do the action you want to do here. 
           
  }

  if (results.value == 0x80c)
{
      Serial.println("Seafox 4 = signal 80c");
        
      // put your code to do the action you want to do here. 
           
  }

  if (results.value == 0x7070D02F)
{
      Serial.println("Seafox 5 = signal 7070D02F");
        
      // put your code to do the action you want to do here. 
           
  }

  if (results.value == 0xFF629D)
{
      Serial.println("Seafox 6 = signal FF629D");
        
      // put your code to do the action you want to do here. 
           
  }



  if (results.value == 0xFB030D00)
{
      Serial.println("Seafox 7 = signal FB030D00");
        
      // put your code to do the action you want to do here. 
           
  }

   if (results.value == 0x8D1F6BD6)
{
      Serial.println("Seafox 8 = signal 8D1F6BD6");
        
      // put your code to do the action you want to do here. 
           
  }


   if (results.value == 0x84c)
{
      Serial.println("Seafox 9 = signal 84c");
        
      // put your code to do the action you want to do here. 
           
  }


   if (results.value == 0x1010F00F)
{
      Serial.println("Seafox 10 = signal 1010F00F");
        
      // put your code to do the action you want to do here. 
           
  }



delay(500);  
irrecv.resume();
        
  }




}
